Dependencies
  • TAO

    OpenDDS requires TAO. If you will be using the configure script for OpenDDS (see the INSTALL file for details), you do not need to download TAO first -- the configure script will download it for you.

    OpenDDS has been tested against the versions of TAO given below. Note that the _._a releases are from OCI and can be obtained from http://www.theaceorb.com/. The DOC Group releases can be obtained from http://download.dre.vanderbilt.edu/. For responsive support from OCI it is recommended that the latest version of the OCI release of TAO used for OpenDDS development and testing be used.

    • OCI TAO 2.0a patch 7 (this is the last OpenDDS version that we will test with 2.0a)
    • OCI TAO 2.2a patch 11
    • DOC Group TAO 2.4.2


  • GNU Make

    GNU Make 3.80 or higher is used for automating the compiling and linking of OpenDDS on Unix and Linux systems.

  • Perl

    Perl is used for running the automated tests and examples included in this source tree and for generating Makefiles or Visual Studio project files.

    The "configure" script also uses Perl.

    On Windows platforms, we recommend the use of ActiveState Perl.

Operating Systems

This release of OpenDDS has been tested under the following platforms:

  • Windows 7 (32-bit, 64-bit), Windows Server 2012 R2 (64-bit)
  • Linux Red Hat EL 5 and 5.3 (x86_64), Red Hat EL and CentOS 6.6 and 6.8 (x86_64), Red Hat EL 7 (x86_64), Fedora 24 (x86_64), Fedora Core 6 (x86), Ubuntu 16.04 LTS (x86_64), openSUSE 42.1 (x86_64)
  • SunOS 5.10 (Solaris 10) (SPARC)
  • MacOSX 10.11 (El Capitan)
  • LynxOS-178
  • Android NDK r12b (ARM)
  • Linux on Raspberry Pi and Intel Edison
  • We have also built OpenDDS for VxWorks 6.9 and 7 and have run basic system and performance tests (but not the entire regression test suite). Please contact sales@ociweb.com or opendds-main@lists.sourceforge.net for more information on support for ACE, TAO, and OpenDDS on VxWorks.
    OCI's packages for ACE, TAO, and OpenDDS can be obtained on the Wind River Marketplace
Compilers

This release of OpenDDS has been tested using the following compilers:

  • Microsoft Visual C++ 9 with SP1 (Visual Studio 2008)
  • Microsoft Visual C++ 10 with SP1 (Visual Studio 2010)
  • Microsoft Visual C++ 11 (Visual Studio 2012) - Update 4
  • Microsoft Visual C++ 12 (Visual Studio 2013) - Update 5
  • Microsoft Visual C++ 14 (Visual Studio 2015) - Update 3
  • gcc 4.1.x (deprecated after OpenDDS 3.7)
  • gcc 4.4.x
  • gcc 4.8.x
  • gcc 4.9.x
  • gcc 5.4
  • gcc 6.2
  • Clang 3.8 (llvm.org) and 7.3 (Apple)
  • Sun C++ 5.9 SunOS_sparc Patch 124863-01 2007/07/25
Detailed Instructions

Please see the file INSTALL for detailed instructions on building DDS on a number of platforms.